Bug 1823912 - CVE-2020-11740 xen: xenoprof issue allows guest OS users without active profiling to obtain sensitive information about other guests (XSA-313) [fedora-all]
Summary: CVE-2020-11740 xen: xenoprof issue allows guest OS users without active profi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-11740
TreeView+ depends on / blocked
 
Reported: 2020-04-14 19:11 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-05-11 03:15 UTC (History)
3 users (show)

Fixed In Version: xen-4.13.0-7.fc32 xen-4.12.2-3.fc31 xen-4.11.4-1.fc30
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:22:41 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-04-14 19:11:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-04-14 19:11:32 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1823911,1823912

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-04-14 22:25:58 UTC
FEDORA-2020-440457afe4 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-440457afe4

Comment 3 Fedora Update System 2020-04-15 20:52:21 UTC
FEDORA-2020-295ed0b1e0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-295ed0b1e0

Comment 4 Fedora Update System 2020-04-15 21:39:50 UTC
FEDORA-2020-520fc718af has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-520fc718af

Comment 5 Fedora Update System 2020-04-16 19:28:03 UTC
FEDORA-2020-440457afe4 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-440457afe4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-440457afe4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-16 22:17:32 UTC
FEDORA-2020-295ed0b1e0 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-295ed0b1e0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-295ed0b1e0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-16 23:28:07 UTC
FEDORA-2020-520fc718af has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-520fc718af`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-520fc718af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-25 02:22:41 UTC
FEDORA-2020-440457afe4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-26 04:51:16 UTC
FEDORA-2020-cbc3149753 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-cbc3149753`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cbc3149753

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-01 03:48:21 UTC
FEDORA-2020-295ed0b1e0 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-05-11 03:15:36 UTC
FEDORA-2020-cbc3149753 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.